MENU

CentOS6.x升级Python版本

May 27, 2016 • Linux

较低版本的Python会在使用pip安装软件时候提示版本太低

  1. 首先下载你要安装的Python版本源码包,这里我安装的是2.7.10
    wget -c https://www.python.org/ftp/python/2.7.10/Python-2.7.10.tgz
    tar zxvf Python-2.7.10
    cd Python-2.7.10.tgz
    ./configure --prefix=/usr/local/python27
    make && make install
    ln -s /usr/local/python27/bin/python /usr/bin/python
    # python -V
    Python 2.7.10
  1. 修复yum
    vim `which yum`
    #修改第一行为 #!/usr/bin/python2.6 
  1. 安装pip
    wget -c https://bootstrap.pypa.io/get-pip.py
    python get-pip.py